aboutsummaryrefslogtreecommitdiffstats
path: root/images/make_zip.sh
diff options
context:
space:
mode:
authorMartin Braun <martin.braun@ettus.com>2014-10-01 17:39:50 -0700
committerMartin Braun <martin.braun@ettus.com>2014-10-06 10:42:14 +0200
commit29a4693b11cbfa3f2a4c3c517d54cbc155018ee8 (patch)
treec92d1f3d533552b9fa63b7aadc26ad7546048d59 /images/make_zip.sh
parent57e6930fef096b1af0fc23e59a777f57b39bf2aa (diff)
downloaduhd-29a4693b11cbfa3f2a4c3c517d54cbc155018ee8.tar.gz
uhd-29a4693b11cbfa3f2a4c3c517d54cbc155018ee8.tar.bz2
uhd-29a4693b11cbfa3f2a4c3c517d54cbc155018ee8.zip
uhd: Added infrastructure for maintaining images directory
Diffstat (limited to 'images/make_zip.sh')
-rwxr-xr-ximages/make_zip.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/images/make_zip.sh b/images/make_zip.sh
new file mode 100755
index 000000000..6c44324f9
--- /dev/null
+++ b/images/make_zip.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+# Automatically run the make-zip-file process
+if [ ! -e 'make_zip.sh' ]; then
+ echo 'Are you running this from the images/ directory?'
+ exit 1
+fi
+if [ -e 'build' ]; then
+ echo 'Please remove build subdirectory before proceeding.'
+ exit 1
+fi
+mkdir build
+cd build
+cmake .. -DCPACK_GENERATOR=ZIP -DUHD_RELEASE_MODE="$1" ..
+make package
+mv uhd-images*.zip ..
+cd ..
+rm -r build